Bug 21837 - Overdues report shoudln't set homebranchfilter as holdingbranchfilter
Summary: Overdues report shoudln't set homebranchfilter as holdingbranchfilter
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21852
  Show dependency treegraph
 
Reported: 2018-11-14 19:07 UTC by Nick Clemens
Modified: 2019-01-02 09:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21837: Don't set holdingbranch filter using selected homebranch filter (1.16 KB, patch)
2018-11-14 19:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21837: Don't set holdingbranch filter using selected homebranch filter (1.21 KB, patch)
2018-11-16 13:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21837: Don't set holdingbranch filter using selected homebranch filter (1.30 KB, patch)
2018-11-20 14:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-11-14 19:07:59 UTC
To recreate:
1 - Open the overdues report (don't worry if you don't have results)
2 - Choose to filter by homebranch
3 - Note the holdingbranch filter is set to the selected homebranch
Comment 1 Nick Clemens 2018-11-14 19:13:44 UTC
Created attachment 82345 [details] [review]
Bug 21837: Don't set holdingbranch filter using selected homebranch filter

To recreate:
1 - Open the overdues report (don't worry if you don't have results)
2 - Choose to filter by homebranch
3 - Note the holdingbranch filter is set to the selected homebranch
4 - Apply patch
5 - Clear filters
6 - repeat
7 - only homebranch is set
Comment 2 Owen Leonard 2018-11-16 13:37:39 UTC
Created attachment 82402 [details] [review]
Bug 21837: Don't set holdingbranch filter using selected homebranch filter

To recreate:
1 - Open the overdues report (don't worry if you don't have results)
2 - Choose to filter by homebranch
3 - Note the holdingbranch filter is set to the selected homebranch
4 - Apply patch
5 - Clear filters
6 - repeat
7 - only homebranch is set

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2018-11-20 14:36:51 UTC
Created attachment 82547 [details] [review]
Bug 21837: Don't set holdingbranch filter using selected homebranch filter

To recreate:
1 - Open the overdues report (don't worry if you don't have results)
2 - Choose to filter by homebranch
3 - Note the holdingbranch filter is set to the selected homebranch
4 - Apply patch
5 - Clear filters
6 - repeat
7 - only homebranch is set

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-11-21 11:36:29 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Jesse Maseto 2018-12-07 22:06:00 UTC
Backported to 18.05 for 18.05.07
Comment 6 Fridolin SOMERS 2018-12-19 09:04:09 UTC
Pushed to 17.11.x for 17.11.13